resource.AddFile( "sound/hideous/jason1.wav" )
resource.AddFile( "sound/hideous/jason2.wav" )
resource.AddFile( "sound/hideous/jason3.wav" )
resource.AddFile( "materials/VGUI/entities/jason.vmt" )
resource.AddFile( "materials/VGUI/entities/jason.vtf" )

SWEP.Author				= "Hideous"
SWEP.Contact			= ""
SWEP.Purpose			= ""
SWEP.Instructions		= "Left Click to JASON"

SWEP.Spawnable			= true
SWEP.AdminSpawnable		= true
 
SWEP.ViewModelFOV		= 0
SWEP.ViewModel			= "models/weapons/v_pistol.mdl" //This doesn't even get used ololol
SWEP.WorldModel			= "models/weapons/w_pistol.mdl"
 
SWEP.Primary.ClipSize		= -1
SWEP.Primary.DefaultClip	= -1
SWEP.Primary.Automatic		= false
SWEP.Primary.Ammo			= "none"
 
SWEP.Secondary.ClipSize		= -1
SWEP.Secondary.DefaultClip	= -1
SWEP.Secondary.Automatic	= false
SWEP.Secondary.Ammo			= "none"
 
/*---------------------------------------------------------
	Reload does nothing
---------------------------------------------------------*/
function SWEP:Reload()
end
 
/*---------------------------------------------------------
  Think does nothing
---------------------------------------------------------*/
function SWEP:Think()	
end

function SWEP:Initialize()
	self:SetWeaponHoldType("normal")
end

/*---------------------------------------------------------
	PrimaryAttack
---------------------------------------------------------*/
function SWEP:PrimaryAttack()
 
	
 
	local jasonChoice = math.random(3)
	local sfxToPlay = ""
	
	if (jasonChoice == 1) then
		sfxToPlay = "hideous/jason1.wav"
	end
	
	if (jasonChoice == 2) then
		sfxToPlay = "hideous/jason2.wav"
	end
	
	if (jasonChoice == 3) then
		sfxToPlay = "hideous/jason3.wav"
	end
 
	self.Owner:EmitSound(sfxToPlay, 60, 100)
 
	// The rest is only done on the server
	if ( !SERVER ) then return end
	self.Owner:DrawViewModel(false)
 
end
 
function SWEP:DrawWorldModel()
end